package com.processors;

import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;

import com.creators.TradeCreator;
import com.trade.Trade;

public class Processor {
	
	public static void main(String[] args) {
		Trade trade = TradeCreator.getTrade();
		try {
			File file = new File("E:\\file.xml");
			JAXBContext jaxbContext = JAXBContext.newInstance(Trade.class);
			Marshaller jaxbMarshaller = jaxbContext.createMarshaller();
	 
			// output pretty printed
			jaxbMarshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
	 
			jaxbMarshaller.marshal(trade, file);
			jaxbMarshaller.marshal(trade, System.out);
			
			Unmarshaller jaxbUnmarshaller = jaxbContext.createUnmarshaller();
			trade = (Trade) jaxbUnmarshaller.unmarshal(file);
			System.out.println(trade.getTradeID());

		}catch (JAXBException e) {
			e.printStackTrace();
	      }

	}

}
